Interface Technology Basics: PFactoryInfo Struct Reference
Author: Steinberg

Interface Technology Basics VST 3.7 SDK for developing VST plug-in

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups
Public Types | Public Member Functions | Public Attributes | List of all members
PFactoryInfo Struct Reference
Basic Interfaces

Basic Information about the class factory of the plug-in. More...

`#include <ipluginbase.h>`

## Public Types
enum | FactoryFlags { kNoFlags = 0, kClassesDiscardable = 1 << 0, kLicenseCheck = 1 << 1, kComponentNonDiscardable = 1 << 3, kUnicode = 1 << 4 }
enum | { kURLSize = 256, kEmailSize = 128, kNameSize = 64 }

## Public Member Functions
| PFactoryInfo (const char8 *_vendor, const char8 *_url, const char8 *_email, int32 _flags)
| PFactoryInfo ()

## Public Attributes
char8 | vendor [kNameSize]
| e.g. "Steinberg Media Technologies"
char8 | url [kURLSize]
| e.g. "http://www.steinberg.de"
char8 | email [kEmailSize]
| e.g. "info@steinberg.de"
int32 | flags
| (see FactoryFlags above)

## Detailed Description

Basic Information about the class factory of the plug-in.

## Member Enumeration Documentation

enum FactoryFlags

Enumerator
kNoFlags | Nothing.
kClassesDiscardable | The number of exported classes can change each time the Module is loaded. If this flag is set, the host does not cache class information. This leads to a longer startup time because the host always has to load the Module to get the current class information.
kLicenseCheck | This flag is deprecated, do not use anymore, resp. it will get ignored from Cubase/Nuendo 12 and later.
kComponentNonDiscardable | Component will not be unloaded until process exit.
kUnicode | Components have entirely unicode encoded strings (True for VST 3 plug-ins so far).

anonymous enum

Enumerator
kURLSize |
kEmailSize |
kNameSize |

## Constructor & Destructor Documentation

PFactoryInfo | ( | const char8 * | _vendor,
|  | const char8 * | _url,
|  | const char8 * | _email,
|  | int32 | _flags
| ) |  |
| inline

PFactoryInfo | ( |  | ) |
| inline

## Member Data Documentation

char8 vendor[kNameSize]

e.g. "Steinberg Media Technologies"

char8 url[kURLSize]

e.g. "http://www.steinberg.de"

char8 email[kEmailSize]

e.g. "info@steinberg.de"

int32 flags

(see FactoryFlags above)

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.